For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
    • PATCHProfiles
      • GETGet service provider config
LogoLogo
SupportDeel Home
EndpointsService Provider Config

Get service provider config

GET
/ServiceProviderConfig
GET
/rest/v2/ServiceProviderConfig
$curl https://api.letsdeel.com/rest/v2/ServiceProviderConfig \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "authenticationSchemes": {
3 "authenticationSchemes": [
4 {
5 "description": "OAuth 2.0 Bearer Token authentication",
6 "documentationUrl": "https://developer.deel.com/docs/authentication",
7 "name": "OAuth Bearer Token",
8 "specUrl": "https://tools.ietf.org/html/rfc6750"
9 }
10 ]
11 },
12 "bulk": {
13 "maxOperations": 1000,
14 "maxPayloadSize": 1048576,
15 "supported": true
16 },
17 "changePassword": {
18 "supported": true
19 },
20 "etag": {
21 "supported": true
22 },
23 "filter": {
24 "maxResults": 200,
25 "supported": true
26 },
27 "patch": {
28 "supported": true
29 },
30 "schemas": [
31 "urn:ietf:params:scim:schemas:core:2.0:ServiceProviderConfig"
32 ],
33 "sort": {
34 "supported": true
35 },
36 "xmlDataFormat": {
37 "supported": false
38 }
39}
Was this page helpful?
Previous

Create a new task

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Response

successful operation
authenticationSchemesobject
bulkobject
changePasswordobject
etagobject
filterobject
patchobject
schemaslist of enums
Allowed values:
sortobject
xmlDataFormatobject

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/